<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <groupId>org.malai</groupId>
    <artifactId>malai.swing</artifactId>
    <version>2.0</version>
    <packaging>jar</packaging>
    <name>malai.swing :: Malai Swing component</name>
    
    <build>
		<sourceDirectory>src/main</sourceDirectory>
    	<testSourceDirectory>src/test/</testSourceDirectory>
    	<resources>
      		<resource><directory>src/resources/</directory></resource>
  		</resources>
    	<plugins>
      <plugin>
        <artifactId>maven-assembly-plugin</artifactId>
        <version>2.4</version>
        <configuration>
          <descriptors>
            <descriptor>src/assembly/assemblySrc.xml</descriptor>
            <descriptor>src/assembly/assemblyBin.xml</descriptor>
          </descriptors>
        </configuration>
                <executions>
          <execution>
            <id>make-assembly</id>
            <phase>package</phase> 
            <goals>
              <goal>single</goal>
            </goals>
          </execution>
        </executions>
		</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.1</version>
				<configuration>
					<source>1.8</source>
					<target>1.8</target>
					<encoding>UTF-8</encoding>
				</configuration>
			</plugin>
            <plugin>
                <groupId>org.apache.felix</groupId>
                <artifactId>maven-bundle-plugin</artifactId>
                <version>2.3.7</version>
                <extensions>true</extensions>
                <configuration>
                    <instructions>
                        <Export-Package>
                        	org.malai.*
                        </Export-Package>
                    </instructions>
                </configuration>
            </plugin>
		    <plugin>
		    	<groupId>org.apache.maven.plugins</groupId>
		    	<artifactId>maven-surefire-plugin</artifactId>
		    	<version>2.13</version>
		    	<dependencies>
		      		<dependency>
		        		<groupId>org.apache.maven.surefire</groupId>
		        		<artifactId>surefire-junit47</artifactId>
		        		<version>2.13</version>
		     		 </dependency>
		    	</dependencies>
		  	</plugin>
<!--	      <plugin>
	        <groupId>org.jacoco</groupId>
	        <version>0.6.2.201302030002</version>
	        <artifactId>jacoco-maven-plugin</artifactId>
	        <executions>
	          <execution>
	            <id>prepare-agent</id>
	            <goals>
	              <goal>prepare-agent</goal>
	            </goals>
	          </execution>
	          <execution>
	            <id>report</id>
	            <phase>prepare-package</phase>
	            <goals>
	              <goal>report</goal>
	            </goals>
	          </execution>
	          <execution>
	            <id>check</id>
	            <goals>
	              <goal>check</goal>
	            </goals>
	            <configuration>
	              <check>
	                <classRatio>10</classRatio>
	                <instructionRatio>10</instructionRatio>
	                <methodRatio>10</methodRatio>
	                <branchRatio>10</branchRatio>
	                <complexityRatio>10</complexityRatio>
	                <lineRatio>10</lineRatio>
	              </check>
	            </configuration>
	          </execution>
	        </executions>
	      </plugin>-->
        </plugins>
    </build>
<dependencies>
<!--	<dependency>
	    <groupId>org.jacoco</groupId>
	    <artifactId>jacoco-maven-plugin</artifactId>
	    <version>0.6.2.201302030002</version>
	    <scope>test</scope>
	</dependency>-->
    <dependency>
      <groupId>junit</groupId>
      <artifactId>junit</artifactId>
      <version>4.11</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>org.malai</groupId>
      <artifactId>malai.core</artifactId>
      <version>${project.version}</version>
    </dependency>
 	<dependency>
	  <groupId>org.malai</groupId>
	  <artifactId>malai.core</artifactId>
	  <version>${project.version}</version>
	  <type>test-jar</type>
	  <scope>test</scope>
	</dependency>
</dependencies>

<repositories>
    <repository>
        <id>mavenInriaSnapshot</id>
        <name>http://maven.inria.fr-snapshots</name>
        <url>http://maven.inria.fr/artifactory/malai-public-snapshot</url>
    </repository>
	<repository>
        <id>mavenInriaRelease</id>
        <name>http://maven.inria.fr-releases</name>
        <url>http://maven.inria.fr/artifactory/malai-public-release</url>
    </repository>
</repositories>
</project>

